Create an integration connection
curl --request POST \
--url https://app.flextell.ai/api/v1/integration-connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"integration_id": 123,
"entity": "lead",
"name": "<string>"
}
'import requests
url = "https://app.flextell.ai/api/v1/integration-connections"
payload = {
"integration_id": 123,
"entity": "lead",
"name": "<string>"
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({integration_id: 123, entity: 'lead', name: '<string>'})
};
fetch('https://app.flextell.ai/api/v1/integration-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/integration-connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'integration_id' => 123,
'entity' => 'lead',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/integration-connections"
payload := strings.NewReader("{\n \"integration_id\": 123,\n \"entity\": \"lead\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/integration-connections")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"integration_id\": 123,\n \"entity\": \"lead\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/integration-connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"integration_id\": 123,\n \"entity\": \"lead\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": "<string>",
"data": {
"id": 123,
"name": "<string>",
"integration": {
"id": 123,
"name": "<string>",
"system_name": "<string>",
"company_logo": null
},
"entity": {
"value": "<string>",
"label": "<string>"
},
"status": "<string>",
"inbound_url": "<string>",
"secret": "<string>",
"secret_header": "X-Flextell-Secret",
"field_mapping": [
{
"source": "<string>",
"target": "<string>"
}
],
"external_id_path": "<string>",
"settings": {},
"stats": {
"pending": 123,
"processed": 123,
"failed": 123,
"skipped": 123
},
"last_received_at": "2023-11-07T05:31:56Z",
"last_processed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}IntegrationConnection
Create an integration connection
The connection starts as a draft with a fresh secret. Records the provider sends are stored and
listed by the source-fields endpoint, but are only written once the connection is activated.
POST
/
v1
/
integration-connections
Create an integration connection
curl --request POST \
--url https://app.flextell.ai/api/v1/integration-connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"integration_id": 123,
"entity": "lead",
"name": "<string>"
}
'import requests
url = "https://app.flextell.ai/api/v1/integration-connections"
payload = {
"integration_id": 123,
"entity": "lead",
"name": "<string>"
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({integration_id: 123, entity: 'lead', name: '<string>'})
};
fetch('https://app.flextell.ai/api/v1/integration-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/integration-connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'integration_id' => 123,
'entity' => 'lead',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/integration-connections"
payload := strings.NewReader("{\n \"integration_id\": 123,\n \"entity\": \"lead\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/integration-connections")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"integration_id\": 123,\n \"entity\": \"lead\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/integration-connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"integration_id\": 123,\n \"entity\": \"lead\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": "<string>",
"data": {
"id": 123,
"name": "<string>",
"integration": {
"id": 123,
"name": "<string>",
"system_name": "<string>",
"company_logo": null
},
"entity": {
"value": "<string>",
"label": "<string>"
},
"status": "<string>",
"inbound_url": "<string>",
"secret": "<string>",
"secret_header": "X-Flextell-Secret",
"field_mapping": [
{
"source": "<string>",
"target": "<string>"
}
],
"external_id_path": "<string>",
"settings": {},
"stats": {
"pending": 123,
"processed": 123,
"failed": 123,
"skipped": 123
},
"last_received_at": "2023-11-07T05:31:56Z",
"last_processed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Yetkilendirmeler
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Başlıklar
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Gövde
application/json
The catalogue integration to connect; it must support connections (connection_method is set).
The record type the connection writes; one of the integration's supported_entities.
Mevcut seçenekler:
lead A name that tells this connection apart, e.g. the source table.
Maximum string length:
255